#include<bits/stdc++.h>
using namespace std;
int main()
{
    unsigned long long a,b;
    int k,br=0;

    cin>>a>>b>>k;

    int k2=a,br2=0,a2=0,i;

    k2+=k-(k2%k);
    //cout<<k2<<endl;

    while(a<k2 && a<b)
    {
        if((a+2)%k!=0)
        {
            a+=2;
        }
        else
        {
            a++;
        }
        br++;
    }
    //cout<<a;

    k2+=k;

    while(a<k2 && a<b)
    {
        if((a+2)%k!=0)
        {
            a+=2;
            a2+=2;
        }
        else
        {
            a++;
            a2++;
        }
        br++;
        br2++;
    }

    //cout<<a2<<endl;
    //cout<<br2<<endl;

    if(a<b)
    {
        i=(b-a)/a2;

        br=br+br2*i;
    }

    while(a<b)
    {
        a+=2;
        br++;
    }

    cout<<br;
}
